[Overview][Types][Classes][Index] | Reference for unit 'GroupedEdit' (#lcl)

# TCustomAbstractGroupedEdit.CMParentColorChanged

Handles the control message received when the ParentColor property is changed.

## Declaration

Source position: groupededit.pp line 238

`protected procedure TCustomAbstractGroupedEdit.CMParentColorChanged(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Message instance received by the control and handled in the method.

## Description

CMParentColorChanged is method used to handle the CM_PARENTCOLORCHANGED control message for the grouped edit control. It reimplements the method introduced in the TControl ancestor to ensure that values in the ParentColor and Color properties are updated for the composite control. When ParentColor is enabled, the Color value from the Parent control is applied to the class instance.

## See also

TCustomAbstractGroupedEdit.Color |  | Background color for the BaseEditor on the control.
TCustomAbstractGroupedEdit.BaseEditor |  | Represents the control used as the editor for the value in the grouped edit control.
TCustomControl.SetColor |  | Sets the value for the Color property
TControl.Parent |  | The control within which the control is shown.
TControl.ParentColor |  | Use the Color from the Parent control, when enabled.
TControl.CMParentColorChanged |  | Handles a CM_PARENTCOLORCHANGED message for the control.